API reference
Other
19 management API operations for Other.
/v1/institutionsInstitutions
POST/v1/institutionsCreate Institution
POST/v1/institutions/{institution_id}/approveApprove Institution
GET/v1/peoplePeople
POST/v1/peopleCreate Person
GET/v1/projectsProjects
POST/v1/projectsCreate Project
POST/v1/accessAccess
GET/v1/accessAccess List
GET/v1/auditAudit
GET/v1/operationsOperations
GET/v1/lifecycle/{project_id}Feed
POST/v1/lifecycle/{project_id}/ackAcknowledge
POST/v1/projects/{project_id}/approveApprove Project
POST/v1/membershipsMembership
GET/v1/lifecycle/{project_id}/snapshotSnapshot
GET/v1/institutions/{institution_id}/membersMembers
POST/v1/people/{person_id}/suspendSuspend
GET/v1/jobsJobs
GET/v1/institutions
Institutions
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/json(InstitutionForOperator | InstitutionForAdministrator)[]
Required applies within each listed response variant.
| Field | Variant | Type | Required | Description |
|---|---|---|---|---|
[].id | InstitutionForOperator | string | Yes | |
[].name | InstitutionForOperator | string | Yes | |
[].status | InstitutionForOperator | string | Yes | |
[].proposer | InstitutionForOperator | string | Yes | |
[].approver | InstitutionForOperator | string | null | Yes | |
[].evidence_reference | InstitutionForOperator | string | Yes | |
[].can_review_evidence | InstitutionForOperator | true | Yes | |
[].id | InstitutionForAdministrator | string | Yes | |
[].name | InstitutionForAdministrator | string | Yes | |
[].status | InstitutionForAdministrator | string | Yes | |
[].proposer | InstitutionForAdministrator | string | Yes | |
[].approver | InstitutionForAdministrator | string | null | Yes | |
[].can_review_evidence | InstitutionForAdministrator | false | Yes |
POST/v1/institutions
Create Institution
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredInstitutionCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
name | string | Yes | Validation: min length 2; max length 200 |
evidence_reference | string | Yes | Validation: min length 5; max length 500 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/approve
Approve Institution
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/people
People
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonPersonRead[]
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string | Yes | |
[].issuer | string | Yes | |
[].subject | string | Yes | |
[].enabled | boolean | Yes | |
[].version | integer | Yes |
POST/v1/people
Create Person
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredPersonCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
issuer | string | Yes | |
subject | string | Yes | Validation: min length 1 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/projects
Projects
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonProjectRead[]
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string | Yes | |
[].name | string | Yes | |
[].owner | string | Yes | |
[].status | string | Yes | |
[].head | integer | Yes | |
[].acknowledged | integer | Yes |
POST/v1/projects
Create Project
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredProjectCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
name | string | Yes | Validation: min length 2 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/access
Access
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredAccessChange
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
person_id | string | Yes | |
institution_id | string | Yes | |
project_id | string | Yes | |
active | boolean | Yes |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/access
Access List
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonAccessRead[]
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string | Yes | |
[].person_id | string | Yes | |
[].institution_id | string | Yes | |
[].project_id | string | Yes | |
[].active | boolean | Yes | |
[].version | integer | Yes | |
[].approved_link | object | null | Yes |
GET/v1/audit
Audit
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonAuditRead[]
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string | Yes | |
[].actor | string | Yes | |
[].operation | string | Yes | |
[].target | string | Yes | |
[].institution_id | string | null | Yes | |
[].request_id | string | Yes | |
[].reason | string | Yes | |
[].outcome | string | Yes | |
[].changes | object | Yes | |
[].created_at | string | Yes |
GET/v1/operations
Operations
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonOperationsSummary
| Field | Type | Required | Description |
|---|---|---|---|
pending | integer | Yes | |
failed | integer | Yes | |
failure_diagnostics_available | boolean | Yes | |
status | failed | pending | effective | Yes |
GET/v1/lifecycle/{project_id}
Feed
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
after | query | integer | No |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonLifecycleFeed
| Field | Type | Required | Description |
|---|---|---|---|
events | string[] | Yes | Opaque signed event JWTs |
receipt | string | Yes | Opaque signed receipt JWT |
next_cursor | integer | Yes | |
has_more | boolean | Yes |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/lifecycle/{project_id}/ack
Acknowledge
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
application/jsonRequiredAcknowledgement
| Field | Type | Required | Description |
|---|---|---|---|
sequence | integer | Yes | Validation: minimum 0; maximum 2147483647 |
Responses
200Successful Response
Content type: application/jsonLifecycleAcknowledgement
| Field | Type | Required | Description |
|---|---|---|---|
head | integer | Yes | |
acknowledged | integer | Yes | |
status | pending | effective | Yes |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/approve
Approve Project
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/memberships
Membership
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMembershipChange
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
person_id | string | Yes | |
institution_id | string | Yes | |
active | boolean | Yes |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/lifecycle/{project_id}/snapshot
Snapshot
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonLifecycleSnapshot
| Field | Type | Required | Description |
|---|---|---|---|
snapshot | string | Yes | Opaque signed snapshot JWT |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/members
Members
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonMembershipRead[]
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string | Yes | |
[].person_id | string | Yes | |
[].institution_id | string | Yes | |
[].active | boolean | Yes | |
[].sponsor | string | Yes | |
[].version | integer | Yes |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/people/{person_id}/suspend
Suspend
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
person_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/jobs
Jobs
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.